Bug 223726 - external vfs script dependencies
external vfs script dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-21 19:03 EST by Curtis Doty
Modified: 2013-07-02 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
split perl deps into sub-package (2.29 KB, patch)
2008-04-20 14:48 EDT, Curtis Doty
no flags Details | Diff

  None (edit)
Description Curtis Doty 2007-01-21 19:03:58 EST
I just noticed that a minimalist Fedora does not require perl. Therefore, with
mc, it seems disproportionate to require it for just 10 small extfs scripts.

Here is one solution for splitting package so that just core mc can still be
installed without dependency bloat.

--- mc.spec     4 Jan 2007 16:14:38 -0000       1.115
+++ mc.spec     21 Jan 2007 23:50:17 -0000
@@ -3,7 +3,7 @@
 Summary:       User-friendly text console file manager and visual shell
 Name:          mc
 Version:       4.6.1a
-Release:       39%{?dist}
+Release:       39%{?dist}gk1
 Epoch:         1
 License:       GPL
 Group:         System Environment/Shells
@@ -37,6 +37,13 @@
 ability to FTP, view tar and zip files, and to poke into RPMs for
 specific files.
 
+%package extfs
+Summary: Midnight Commander virtual filesystem extensions
+Group: System Environment/Shells
+
+%description extfs
+Midnight Commander virtual filesystem extensions.
+
 %prep
 %setup -q -n %{name}-%{date}
 
@@ -185,7 +192,9 @@
 %{_bindir}/mcedit
 %{_bindir}/mcmfmt
 %{_bindir}/mcview
-%{_datadir}/mc/*
+%{_datadir}/mc/mc.*
+%{_datadir}/mc/bin
+%{_datadir}/mc/syntax
 %attr(4711, vcsa, root) %{_libexecdir}/mc/cons.saver
 %{_mandir}/man1/*
 %lang(es) %{_mandir}/es/man1/mc.1.gz
@@ -199,7 +208,14 @@
 %dir %{_datadir}/mc
 %dir %{_sysconfdir}/mc
 
+%files extfs
+%defattr(-,root,root)
+%{_datadir}/mc/extfs
+
 %changelog
+* Sun Jan 21 2007 Curtis Doty <Curtis@GreenKey.net>
+- spin off external vfs to separate package
+
 * Thu Jan  4 2007 Jindrich Novy <jnovy@redhat.com> 4.6.1a-39
 - update to new CVS snapshot (fixes #220828)
 - update bindings again

Of course, those scripts could just be re-coded in python too. :-p But that's
more than I'm want and capable of doing.
Comment 1 Bug Zapper 2008-04-03 14:55:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Jindrich Novy 2008-04-05 06:25:27 EDT
Splitting the whole extfs out of mc is a bad idea IMO, because it would cripple
one of the major mc fucntionality, which is browsing rpms, patches and various
compression archives as a VFS with almost the same comfort as the local files.

I mean it's not all bad, maybe splitting only the perl vfs scripts out of mc to
separate subpackage makes sense, but definitely not as it is proposed now.
Comment 3 Curtis Doty 2008-04-16 00:33:59 EDT
Agreed. Here are the extfs that require Perl:

$ grep -nC1 perl extfs/*
extfs/a:1:#! /usr/bin/perl -w
extfs/a-2-#
--
extfs/apt:1:#! /usr/bin/perl
extfs/apt-2-#
--
extfs/deb:1:#! /usr/bin/perl
extfs/deb-2-#
--
extfs/deba:1:#! /usr/bin/perl
extfs/deba-2-#
--
extfs/debd:1:#! /usr/bin/perl
extfs/debd-2-#
--
extfs/dpkg:1:#! /usr/bin/perl
extfs/dpkg-2-#
--
extfs/mailfs:1:#! /usr/bin/perl -w
extfs/mailfs-2-
--
extfs/patchfs:1:#! /usr/bin/perl -w
extfs/patchfs-2-#
--
extfs/README-190-that mc can use.  Currently awk (or gawk) is used because
nearly all systems
extfs/README:191:have it. If another scripting language is available, like perl,
that could
extfs/README-192-also be used. 
--
extfs/rpms:1:#! /usr/bin/perl
extfs/rpms-2-#
--
extfs/uzip:1:#! /usr/bin/perl -w
extfs/uzip-2-#

So if we still really *must* have some of these, they'll need to be rewritten in
awk or python or something.

../C
Comment 4 Curtis Doty 2008-04-20 14:48:20 EDT
Created attachment 303067 [details]
split perl deps into sub-package

Here's one way to do it.
Comment 5 Bug Zapper 2008-05-13 22:33:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Curtis Doty 2008-06-29 00:23:02 EDT
Jindrich, how about pushing patch 303067 into rawhide?
Comment 7 Bug Zapper 2009-06-09 18:25:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:02:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.